
# LyricsScreenlet Copyright (C) 2009 by Marcel Dancak <dancakm@gmail.com>

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


import commands
import traceback

os = commands.getoutput("uname -m")
print os
if os.find("64") != -1:
	print "x86_64"
	try:
		from lib.x86_64 import _minimize
	except:
		print traceback.print_exc()

else:
	print "x86"
	try:
		from lib.x86 import _minimize
	except:
		print traceback.print_exc()


def set_icon_geometry(window, x, y, width, height):
	try:
		_minimize.set_icon_geometry(window, x, y, width, height)
	except Exception,e:
		print "faild to call: set_icon_geometry"
		print e

